Bug 1254687 - DNF does not display any translations
DNF does not display any translations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
All All
unspecified Severity medium
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
AcceptedBlocker
: Reopened
Depends On:
Blocks: F23FinalBlocker
  Show dependency treegraph
 
Reported: 2015-08-18 12:20 EDT by Adam Williamson
Modified: 2015-10-05 17:53 EDT (History)
10 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc23 dnf-1.1.2-4.fc23 dnf-1.1.2-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-04 15:13:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-08-18 12:20:31 EDT
So far as I can tell, dnf in F23 does not display any translations. I tested both running at a console as 'LANGUAGE=fr_FR.UTF-8' and doing an install of Alpha RC2 in French; in both cases, running dnf commands shows entirely English output.

There is definitely a translation file in the package, and Zanata shows most strings translated to French on dnf 'master'.

Proposing as a Final release blocker: "All critical path actions on release-blocking desktops must correctly display all sufficiently complete translations available for use." - https://fedoraproject.org/wiki/Fedora_23_Final_Release_Criteria#Critical_path_translations
Comment 1 Honza Silhan 2015-08-19 09:44:45 EDT
PR: https://github.com/rpm-software-management/dnf/pull/336
the problem was in python3 gettext setup.
Comment 2 Adam Williamson 2015-08-20 13:21:07 EDT
Discussed at 2015-08-20 blocker review meeting: http://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-08-20/f23-blocker-review.2015-08-20-16.05.log.txt . Accepted as a Final blocker per criterion cited in description.
Comment 3 Fedora Update System 2015-09-01 05:51:53 EDT
dnf-plugins-core-0.1.11-1.fc23 dnf-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 4 Fedora Update System 2015-09-01 16:22:34 EDT
dnf-1.1.1-1.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 5 Fedora Update System 2015-09-08 08:38:56 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 6 Fedora Update System 2015-09-08 08:39:01 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 7 Fedora Update System 2015-09-08 08:39:57 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 8 Piotr Drąg 2015-09-08 11:40:50 EDT
dnf-1.1.1-1.fc23 is still completely in English.
Comment 9 Fedora Update System 2015-09-08 13:51:55 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 10 Fedora Update System 2015-09-08 17:26:14 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugins-core dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 11 Piotr Drąg 2015-09-08 18:01:21 EDT
dnf-1.1.1-2.fc23 is still affected.
Comment 12 Fedora Update System 2015-09-09 19:19:02 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Piotr Drąg 2015-09-10 11:59:54 EDT
The problem still persists.
Comment 14 Honza Silhan 2015-09-16 05:03:29 EDT
really fixed in the upstream.
Comment 15 Robert Antoni Buj Gelonch 2015-09-16 17:51:04 EDT
dnf is also not properly loading the translated messages in Catalan. In F23 Beta RC1, we have to manually copy dnf.mo from /usr/share/locale/ca/LC_MESSAGES/dnf.mo to /usr/share/locale/ca_ES/LC_MESSAGES/dnf.mo.
Comment 16 Robert Antoni Buj Gelonch 2015-09-16 18:10:56 EDT
You can reproduce this issue by using the following command:
LC_ALL=ca_ES.UTF-8 dnf --help
Comment 17 Robert Antoni Buj Gelonch 2015-09-16 18:32:31 EDT
I saw that it's fixed in upstream:

git clone https://github.com/rpm-software-management/dnf.git
cd dnf
dnf builddep dnf.spec -y
mkdir build;
pushd build;
cmake .. && make;
popd;
LC_ALL=fr_FR.UTF-8 PYTHONPATH=`readlink -f .` bin/dnf-3 --help
LC_ALL=ca_ES.UTF-8 PYTHONPATH=`readlink -f .` bin/dnf-3 --help
Comment 18 Radek Holy 2015-09-17 05:14:43 EDT
FYI, there are also nightly builds [1] which contain the fix, if you want to test it.

[1] https://copr.fedoraproject.org/coprs/rpmsoftwaremanagement/dnf-nightly-fedora-23/
Comment 19 Robert Antoni Buj Gelonch 2015-09-17 06:00:20 EDT
OK, it works!

$ sudo dnf config-manager --add-repo https://copr.fedoraproject.org/coprs/rpmsoftwaremanagement/dnf-nightly-fedora-23/repo/fedora-23/rpmsoftwaremanagement-dnf-nightly-fedora-23-fedora-23.repo
$ sudo dnf update -y
$ LC_ALL=fr_FR.UTF-8 dnf --help
$ LC_ALL=ca_ES.UTF-8 dnf --help

THKS
Comment 20 Fedora Update System 2015-09-22 11:00:36 EDT
hawkey-0.6.1-1.fc23 dnf-plugins-core-0.1.12-2.fc23 dnf-1.1.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16428
Comment 21 Fedora Update System 2015-09-22 11:02:48 EDT
dnf-plugins-core-0.1.12-2.fc22 hawkey-0.6.1-1.fc22 dnf-1.1.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16429
Comment 22 Fedora Update System 2015-09-22 23:54:27 EDT
dnf-1.1.2-2.fc23, dnf-plugins-core-0.1.12-2.fc23, hawkey-0.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf hawkey'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16428
Comment 23 Fedora Update System 2015-09-23 00:12:09 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-09-23 17:22:17 EDT
dnf-1.1.2-2.fc22, dnf-plugins-core-0.1.12-2.fc22, hawkey-0.6.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf hawkey'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16429
Comment 25 Adam Williamson 2015-09-23 18:13:03 EDT
Re-closing, as this is filed for 23, not 22.
Comment 26 Fedora Update System 2015-10-02 11:20:45 EDT
dnf-plugins-core-0.1.12-3.fc23 hawkey-0.6.1-2.fc23 dnf-1.1.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-38e69423f3
Comment 27 Fedora Update System 2015-10-02 11:24:43 EDT
dnf-plugins-core-0.1.12-3.fc22 hawkey-0.6.1-2.fc22 dnf-1.1.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3528c659e4
Comment 28 Fedora Update System 2015-10-03 21:36:16 EDT
dnf-1.1.2-4.fc22, dnf-plugins-core-0.1.12-3.fc22, hawkey-0.6.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3528c659e4
Comment 29 Fedora Update System 2015-10-03 21:52:09 EDT
dnf-1.1.2-4.fc23, dnf-plugins-core-0.1.12-3.fc23, hawkey-0.6.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-38e69423f3
Comment 30 Fedora Update System 2015-10-04 15:12:59 EDT
dnf-1.1.2-4.fc23, dnf-plugins-core-0.1.12-3.fc23, hawkey-0.6.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2015-10-05 17:52:29 EDT
dnf-1.1.2-4.fc22, dnf-plugins-core-0.1.12-3.fc22, hawkey-0.6.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.